QGIS Application - Bug report #19076
GRASS r.relief.scaling has reversed Min/Max limits on 2 input arguments
2018-05-31 10:18 PM - Garth Fletcher

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.0.3 Regression?: No
Operating System: Mac OS X 10.12.6 Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26906
Description

GRASS: r.relief.scaling - Creates shaded relief from an elevation layer (DEM).

QGIS3's processing dialog for r.relief.scaling has reversed Min / Max limits for 2 arguments:
min max field

90 O Altitude of sun in degrees above the horizon

360 0 Azimuth of the sun in degrees to the east of north

Thus it is impossible to enter any value other than the incorrect Min, and attempts to Run always result in an incorrect value message
because the forced min value is, of course, larger than the specified max value.

Associated revisions

Revision 1¢684456 - 2018-06-01 01:36 AM - Nyall Dawson

[processing] Log an error when a numeric parameter has min value >= max value

Refs #19076

Revision ae95adba - 2018-06-01 01:36 AM - Nyall Dawson

[processing][GRASS] Fix r.relief.scaling has inverted min/max values for altitude and azimuth parameters

Fixes #19076

History

#1 - 2018-06-01 01:35 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ae95adba40d78530a84a7fd4c10bb6304e6e0f49.

#2 - 2018-06-01 02:35 AM - Garth Fletcher

Thanks!
